---
title: console.trace()
slug: Web/API/Console/trace
tags:
  - API
  - Chrome
  - DOM
  - Debugging
  - Firefox
  - Method
  - String
  - Web Development
  - console
  - console.trace()
  - trace
  - web console
---
<div>{{APIRef("Console API")}}</div>

<p>The {{domxref("console")}} interface's <code><strong>trace()</strong></code> method outputs a stack trace to the <a href="/en-US/docs/Tools/Web_Console">Web Console</a>.</p>

<p>{{AvailableInWorkers}}</p>

<p>See <a href="/en-US/docs/Web/API/console#Stack_traces">Stack traces</a> in the {{domxref("console")}} documentation for details and examples.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">console.trace( [...<var>any</var>, ...<var>data</var> ]);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><code>...<var>any</var>, ...<var>data</var></code> {{optional_inline}}</dt>
	<dd>Zero or more objects to be output to console along with the trace. These are assembled and formatted the same way they would be if passed to the {{domxref("console.log()")}} method.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">function foo() {
  function bar() {
    console.trace();
  }
  bar();
}

foo();
</pre>

<p>In the console, the following trace will be displayed:</p>

<pre>bar
foo
&lt;anonymous&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("Console API", "#trace", "console.trace()")}}</td>
			<td>{{Spec2("Console API")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Console.trace")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a class="external" href="http://www.opera.com/dragonfly/documentation/console/">Opera Dragonfly documentation: Console</a></li>
</ul>
